Scriptname ZSH_V2_TombDoorScript01 extends ObjectReference

ObjectReference Property ZSH_Tomb_OpenDoor Auto
ObjectReference Property ZSH_Tomb_CloseDoor Auto
ObjectReference Property ZSH_Tomb_ToggleDoor Auto
Bool IsOpen = False

Event OnActivate(ObjectReference TriggerRef)
If TriggerRef == ZSH_Tomb_OpenDoor
	OpenDoor()
Elseif TriggerRef == ZSH_Tomb_CloseDoor
	CloseDoor()
Elseif (TriggerRef == ZSH_Tomb_ToggleDoor) && (IsOpen == True)
	CloseDoor()
Elseif (TriggerRef == ZSH_Tomb_ToggleDoor) && (IsOpen == False)
	OpenDoor()
Endif
EndEvent

Function OpenDoor()
if IsOpen == False
	PlayAnimation("Open")
	IsOpen = True
endif
EndFunction

Function CloseDoor()
if IsOpen == True
	PlayAnimation("Close")
	IsOpen = False
endif
EndFunction

