Scriptname ZSH_V2_AeonbarrScript02 extends Quest  
;----------------------------------------------------------------------------------------------
; This script handles Aeonbarr's hide colour, attributes, name and size
;----------------------------------------------------------------------------------------------

;----------------------------------------------------------------------------------------------
;	PROPERTIES
;----------------------------------------------------------------------------------------------
Actor Property Aeonbarr Auto

Spell Property ZSH_Aeonbarr_AttributeAb Auto

GlobalVariable Property ZSH_MCM_HorseHideColor Auto
GlobalVariable Property ZSH_MCM_EquipmentType Auto
GlobalVariable Property ZSH_MCM_HorseSpeed Auto
GlobalVariable Property ZSH_MCM_Size Auto
GlobalVariable Property ZSH_MCM_FortifyDamage Auto
GlobalVariable Property ZSH_MCM_FortifyHealth Auto
GlobalVariable Property ZSH_MCM_FortifyStamina Auto
GlobalVariable Property ZSH_MCM_ResistFall Auto
GlobalVariable Property ZSH_MCM_ResistPhysical Auto
GlobalVariable Property ZSH_MCM_ResistMagic Auto
GlobalVariable Property ZSH_MCM_ResistPoison Auto
GlobalVariable Property ZSH_MCM_Name Auto

Outfit Property ZSH_Skin_AeonbarrBlackOutfit Auto
Outfit Property ZSH_Skin_AeonbarrWhiteOutfit Auto
Outfit Property ZSH_Skin_AeonbarrPalominoOutfit Auto
Outfit Property ZSH_Skin_AeonbarrLightBrownOutfit Auto
Outfit Property ZSH_Skin_AeonbarrDarkBrownOutfit Auto
Outfit Property ZSH_Skin_AeonbarrExmoorOutfit Auto
Outfit Property ZSH_Skin_AeonbarrFjordOutfit Auto
Outfit Property ZSH_Skin_AeonbarrGreyfellOutfit Auto
Outfit Property ZSH_Skin_AeonbarrHaflingerOutfit Auto
Outfit Property ZSH_Skin_AeonbarrPaintedOutfit Auto

Quest Property ZSH_AeonbarrQuest Auto

Int ChangeColor = 0
String Property CurrentColor Auto
String Property Color00 Auto
String Property Color01 Auto
String Property Color02 Auto
String Property Color03 Auto
String Property Color04 Auto
String Property Color05 Auto
String Property Color06 Auto
String Property Color07 Auto
String Property Color08 Auto
String Property Color09 Auto

Int ChangeSize = 0
String Property CurrentSize Auto
String Property Size00 Auto
String Property Size01 Auto
String Property Size02 Auto
String Property Size03 Auto
String Property Size04 Auto

; Aeonbarr, Agro, Anduin, Argento, Arion, Bela, Boxer, Brego, Bullseye, Capilet, Champion, Chestnut, Concorde, Clover, Demonax, Embarr, Epona, Hasufel, Houyhnhnm, Hyn, Hynyn, Hwin, James Baxter, Long Face, Maester, Mollie, Myrdwinn, Narunal, Nightmare, Orion, Ponyta, Rain, Rapidash, Roach, Silver, Shadowfax, Skinfaxi, Stranger, Sweetfoot, Thunder, Xanthos
; Bucephalus, Despair, Dollar, Dovahkey, Dover, Ebony, Eric, Essos, Jack, Jango, Jeor, Junesekey, Lark, Lightfoot, Li'l Sebastian, Llamrei, Marengo, Moro, Nahar, Neigh, Nonvul, Oberon, Onion, Ore, Ov, Pahlok, Palomo, Polkan, Pony Puff Princess, Randy, Reckless, Thurkey, Traveller, Trigger, Tiny
Int ChangeName = 0
String Property CurrentName Auto
String Property Name00 Auto
String Property Name01 Auto
String Property Name02 Auto
String Property Name03 Auto
String Property Name04 Auto
String Property Name05 Auto
String Property Name06 Auto
String Property Name07 Auto
String Property Name07a Auto
String Property Name08 Auto
String Property Name09 Auto
String Property Name10 Auto
String Property Name11 Auto
String Property Name12 Auto
String Property Name13 Auto
String Property Name14 Auto
String Property Name14a Auto
String Property Name14b Auto
String Property Name14c Auto
String Property Name14d Auto
String Property Name14e Auto
String Property Name15 Auto
String Property Name16 Auto
String Property Name16a Auto
String Property Name16b Auto
String Property Name17 Auto
String Property Name18 Auto
String Property Name19 Auto
String Property Name20 Auto
String Property Name21 Auto
String Property Name22 Auto
String Property Name22a Auto
String Property Name22b Auto
String Property Name22c Auto
String Property Name22d Auto
String Property Name22e Auto
String Property Name22f Auto
String Property Name22g Auto
String Property Name22h Auto
String Property Name23 Auto
String Property Name24 Auto
String Property Name24a Auto
String Property Name25 Auto
String Property Name25a Auto
String Property Name26 Auto
String Property Name26a Auto
String Property Name27 Auto
String Property Name27a Auto
String Property Name28 Auto
String Property Name28a Auto
String Property Name28b Auto
String Property Name28c Auto
String Property Name28d Auto
String Property Name29 Auto
String Property Name29a Auto
String Property Name29b Auto
String Property Name29c Auto
String Property Name29d Auto
String Property Name29e Auto
String Property Name30 Auto
String Property Name31 Auto
String Property Name31a Auto
String Property Name32 Auto
String Property Name32a Auto
String Property Name33 Auto
String Property Name34 Auto
String Property Name35 Auto
String Property Name36 Auto
String Property Name37 Auto
String Property Name38 Auto
String Property Name39 Auto
String Property Name39a Auto
String Property Name39b Auto
String Property Name39c Auto
String Property Name39d Auto
String Property Name40 Auto

Int ChangeSpeed = 0

Int ChangeAttributes = 0

;----------------------------------------------------------------------------------------------
;	EVENTS
;----------------------------------------------------------------------------------------------
Event OnInit()
	Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrDarkBrownOutfit)
EndEvent

Event OnMenuClose(String MenuName)
if MenuName == "Journal Menu"
UnRegisterForMenu("Journal Menu")

IF ChangeSpeed == 1
	(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript01).ResetAeonbarr()
	ChangeSpeed = 0
ENDIF

IF ChangeColor == 1
	If ZSH_MCM_HorseHideColor.GetValue() == 0
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrBlackOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 1
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrWhiteOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 2
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrPalominoOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 3
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrLightBrownOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 4
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrDarkBrownOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 5
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrExmoorOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 6
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrFjordOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 7
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrGreyfellOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 8
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrHaflingerOutfit)
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 9
		Aeonbarr.SetOutfit(ZSH_Skin_AeonbarrPaintedOutfit)
	Endif
	ChangeColor = 0
ENDIF

IF ChangeSize == 1
If Game.GetPlayer().IsOnMount()
	(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript01).ResetAeonbarr()
EndIf
	Aeonbarr.SetScale(1)
	Utility.Wait(0.1)
	If ZSH_MCM_Size.GetValue() == 0
		Aeonbarr.SetScale(0.9)
	Elseif ZSH_MCM_Size.GetValue() == 1
		Aeonbarr.SetScale(0.95)
	Elseif ZSH_MCM_Size.GetValue() == 3
		Aeonbarr.SetScale(1.05)
	Elseif ZSH_MCM_Size.GetValue() == 4
		Aeonbarr.SetScale(1.1)
	Endif
	ChangeSize = 0
ENDIF

IF ChangeAttributes == 1
	SetAttributes()
	ChangeAttributes = 0
ENDIF

endif
EndEvent

Function CallibrateColor()
	ChangeColor = 1
	RegisterForMenu("Journal Menu")
	If ZSH_MCM_HorseHideColor.GetValue() == 0
		CurrentColor = Color00
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 1
		CurrentColor = Color01
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 2
		CurrentColor = Color02
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 3
		CurrentColor = Color03
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 4
		CurrentColor = Color04
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 5
		CurrentColor = Color05
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 6
		CurrentColor = Color06
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 7
		CurrentColor = Color07
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 8
		CurrentColor = Color08
	Elseif ZSH_MCM_HorseHideColor.GetValue() == 9
		CurrentColor = Color09
	Endif
EndFunction

Function CallibrateSize()
	ChangeSize = 1
	RegisterForMenu("Journal Menu")
	If ZSH_MCM_Size.GetValue() == 0
		CurrentSize = Size00
	Elseif ZSH_MCM_Size.GetValue() == 1
		CurrentSize = Size01
	Elseif ZSH_MCM_Size.GetValue() == 2
		CurrentSize = Size02
	Elseif ZSH_MCM_Size.GetValue() == 3
		CurrentSize = Size03
	Elseif ZSH_MCM_Size.GetValue() == 4
		CurrentSize = Size04
	Endif
EndFUnction

Function CallibrateSpeed()
	ChangeSpeed = 1
	ChangeAttributes = 0
	RegisterForMenu("Journal Menu")
EndFunction

Function CallibrateAttributes()
	If ChangeSpeed == 0
		ChangeAttributes = 1
		RegisterForMenu("Journal Menu")
	Endif
EndFunction

Function CallibrateName()
If ZSH_MCM_Name.GetValue() == 0
	CurrentName = Name00
ElseIf ZSH_MCM_Name.GetValue() == 1	
	CurrentName = Name01
ElseIf ZSH_MCM_Name.GetValue() == 2	
	CurrentName = Name02
ElseIf ZSH_MCM_Name.GetValue() == 3	
	CurrentName = Name03
ElseIf ZSH_MCM_Name.GetValue() == 4	
	CurrentName = Name04
ElseIf ZSH_MCM_Name.GetValue() == 5	
	CurrentName = Name05
ElseIf ZSH_MCM_Name.GetValue() == 6	
	CurrentName = Name06
ElseIf ZSH_MCM_Name.GetValue() == 7	
	CurrentName = Name07
ElseIf ZSH_MCM_Name.GetValue() == 8	
	CurrentName = Name07a
ElseIf ZSH_MCM_Name.GetValue() == 9	
	CurrentName = Name08
ElseIf ZSH_MCM_Name.GetValue() == 10	
	CurrentName = Name09
ElseIf ZSH_MCM_Name.GetValue() == 11	
	CurrentName = Name10
ElseIf ZSH_MCM_Name.GetValue() == 12	
	CurrentName = Name11
ElseIf ZSH_MCM_Name.GetValue() == 13	
	CurrentName = Name12
ElseIf ZSH_MCM_Name.GetValue() == 14	
	CurrentName = Name13
ElseIf ZSH_MCM_Name.GetValue() == 15	
	CurrentName = Name14
ElseIf ZSH_MCM_Name.GetValue() == 16	
	CurrentName = Name14a
ElseIf ZSH_MCM_Name.GetValue() == 17	
	CurrentName = Name14b
ElseIf ZSH_MCM_Name.GetValue() == 18	
	CurrentName = Name14c
ElseIf ZSH_MCM_Name.GetValue() == 19	
	CurrentName = Name14d
ElseIf ZSH_MCM_Name.GetValue() == 20	
	CurrentName = Name14e
ElseIf ZSH_MCM_Name.GetValue() == 21	
	CurrentName = Name15
ElseIf ZSH_MCM_Name.GetValue() == 22	
	CurrentName = Name16
ElseIf ZSH_MCM_Name.GetValue() == 23	
	CurrentName = Name16a
ElseIf ZSH_MCM_Name.GetValue() == 24	
	CurrentName = Name16b
ElseIf ZSH_MCM_Name.GetValue() == 25	
	CurrentName = Name17
ElseIf ZSH_MCM_Name.GetValue() == 26	
	CurrentName = Name18
ElseIf ZSH_MCM_Name.GetValue() == 27	
	CurrentName = Name19
ElseIf ZSH_MCM_Name.GetValue() == 28	
	CurrentName = Name20
ElseIf ZSH_MCM_Name.GetValue() == 29	
	CurrentName = Name21
ElseIf ZSH_MCM_Name.GetValue() == 30	
	CurrentName = Name22
ElseIf ZSH_MCM_Name.GetValue() == 31	
	CurrentName = Name22a
ElseIf ZSH_MCM_Name.GetValue() == 32	
	CurrentName = Name22b
ElseIf ZSH_MCM_Name.GetValue() == 33	
	CurrentName = Name22c
ElseIf ZSH_MCM_Name.GetValue() == 34	
	CurrentName = Name22d
ElseIf ZSH_MCM_Name.GetValue() == 35	
	CurrentName = Name22e
ElseIf ZSH_MCM_Name.GetValue() == 36	
	CurrentName = Name22f
ElseIf ZSH_MCM_Name.GetValue() == 37	
	CurrentName = Name22g
ElseIf ZSH_MCM_Name.GetValue() == 38	
	CurrentName = Name22h
ElseIf ZSH_MCM_Name.GetValue() == 39	
	CurrentName = Name23
ElseIf ZSH_MCM_Name.GetValue() == 40	
	CurrentName = Name24
ElseIf ZSH_MCM_Name.GetValue() == 41	
	CurrentName = Name24a
ElseIf ZSH_MCM_Name.GetValue() == 42	
	CurrentName = Name25
ElseIf ZSH_MCM_Name.GetValue() == 43	
	CurrentName = Name25a
ElseIf ZSH_MCM_Name.GetValue() == 44	
	CurrentName = Name26
ElseIf ZSH_MCM_Name.GetValue() == 45	
	CurrentName = Name26a
ElseIf ZSH_MCM_Name.GetValue() == 46	
	CurrentName = Name27
ElseIf ZSH_MCM_Name.GetValue() == 47	
	CurrentName = Name27a
ElseIf ZSH_MCM_Name.GetValue() == 48	
	CurrentName = Name28
ElseIf ZSH_MCM_Name.GetValue() == 49	
	CurrentName = Name28a
ElseIf ZSH_MCM_Name.GetValue() == 50	
	CurrentName = Name28b
ElseIf ZSH_MCM_Name.GetValue() == 51	
	CurrentName = Name28c
ElseIf ZSH_MCM_Name.GetValue() == 52	
	CurrentName = Name28d
ElseIf ZSH_MCM_Name.GetValue() == 53	
	CurrentName = Name29
ElseIf ZSH_MCM_Name.GetValue() == 54	
	CurrentName = Name29a
ElseIf ZSH_MCM_Name.GetValue() == 55	
	CurrentName = Name29b
ElseIf ZSH_MCM_Name.GetValue() == 56	
	CurrentName = Name29c
ElseIf ZSH_MCM_Name.GetValue() == 57	
	CurrentName = Name29d
ElseIf ZSH_MCM_Name.GetValue() == 58	
	CurrentName = Name29e
ElseIf ZSH_MCM_Name.GetValue() == 59	
	CurrentName = Name30
ElseIf ZSH_MCM_Name.GetValue() == 60	
	CurrentName = Name31
ElseIf ZSH_MCM_Name.GetValue() == 61	
	CurrentName = Name31a
ElseIf ZSH_MCM_Name.GetValue() == 62	
	CurrentName = Name32
ElseIf ZSH_MCM_Name.GetValue() == 63	
	CurrentName = Name32a
ElseIf ZSH_MCM_Name.GetValue() == 64	
	CurrentName = Name33
ElseIf ZSH_MCM_Name.GetValue() == 65	
	CurrentName = Name34
ElseIf ZSH_MCM_Name.GetValue() == 66	
	CurrentName = Name35
ElseIf ZSH_MCM_Name.GetValue() == 67	
	CurrentName = Name36
ElseIf ZSH_MCM_Name.GetValue() == 68	
	CurrentName = Name37
ElseIf ZSH_MCM_Name.GetValue() == 69	
	CurrentName = Name38
ElseIf ZSH_MCM_Name.GetValue() == 70	
	CurrentName = Name39
ElseIf ZSH_MCM_Name.GetValue() == 71	
	CurrentName = Name39a
ElseIf ZSH_MCM_Name.GetValue() == 72	
	CurrentName = Name39b
ElseIf ZSH_MCM_Name.GetValue() == 73	
	CurrentName = Name39c
ElseIf ZSH_MCM_Name.GetValue() == 74	
	CurrentName = Name39d
ElseIf ZSH_MCM_Name.GetValue() == 75	
	CurrentName = Name40
Endif
Aeonbarr.SetDisplayName(CurrentName)
EndFunction

Function SetAttributes()
	Aeonbarr.RemoveSpell(ZSH_Aeonbarr_AttributeAb)
		ZSH_Aeonbarr_AttributeAb.SetNthEffectMagnitude(0, ZSH_MCM_HorseSpeed.GetValue() as Int)
		ZSH_Aeonbarr_AttributeAb.SetNthEffectMagnitude(1, ZSH_MCM_FortifyHealth.GetValue() as Int)
		ZSH_Aeonbarr_AttributeAb.SetNthEffectMagnitude(2, ZSH_MCM_FortifyStamina.GetValue() as Int)
		ZSH_Aeonbarr_AttributeAb.SetNthEffectMagnitude(3, ZSH_MCM_FortifyDamage.GetValue() as Int)

		ZSH_Aeonbarr_AttributeAb.SetNthEffectMagnitude(4, ((ZSH_MCM_ResistPhysical.GetValue() as Int)/0.12) as Int)
		ZSH_Aeonbarr_AttributeAb.SetNthEffectMagnitude(5, ZSH_MCM_ResistMagic.GetValue() as Int)
		ZSH_Aeonbarr_AttributeAb.SetNthEffectMagnitude(6, ZSH_MCM_ResistPoison.GetValue() as Int)
		Utility.Wait(0.1)
	Aeonbarr.AddSpell(ZSH_Aeonbarr_AttributeAb)
EndFunction