Scriptname ZSH_V2_AeonbarrScript03 extends Quest  
;---------------------------------------------------------------------------------------------------------------
; This script handles Aeonbarr's eye color, eye glow color, ethereal effects and horn
;---------------------------------------------------------------------------------------------------------------

;----------------------------------------------------------------------------------------------
;	PROPERTIES
;----------------------------------------------------------------------------------------------
Actor Property Aeonbarr Auto

GlobalVariable Property ZSH_MCM_EyeGlowColor Auto
GlobalVariable Property ZSH_MCM_EyeColor Auto
GlobalVariable Property ZSH_MCM_Ethereal Auto

Armor Property ZSH_EyeGlow_Blue Auto
Armor Property ZSH_EyeGlow_BlueBig Auto
Armor Property ZSH_EyeGlow_Cyan Auto
Armor Property ZSH_EyeGlow_CyanBig Auto
Armor Property ZSH_EyeGlow_Gold Auto
Armor Property ZSH_EyeGlow_GoldBig Auto
Armor Property ZSH_EyeGlow_Green Auto
Armor Property ZSH_EyeGlow_GreenBig Auto
Armor Property ZSH_EyeGlow_Orange Auto
Armor Property ZSH_EyeGlow_OrangeBig Auto
Armor Property ZSH_EyeGlow_Red Auto
Armor Property ZSH_EyeGlow_RedBig Auto
Armor Property ZSH_EyeGlow_Violet Auto
Armor Property ZSH_EyeGlow_VioletBig Auto
Armor Property ZSH_EyeGlow_White Auto
Armor Property ZSH_EyeGlow_WhiteBig Auto

Armor Property ZSH_Eye_Normal Auto
Armor Property ZSH_Eye_Blind Auto
Armor Property ZSH_Eye_Demonic Auto
Armor Property ZSH_Eye_Brown Auto

Armor Property ZSH_Eye_Red Auto
Armor Property ZSH_Eye_Blue Auto
Armor Property ZSH_Eye_Golden Auto
Armor Property ZSH_Eye_Violet Auto
Armor Property ZSH_Eye_Green Auto
Armor Property ZSH_Eye_Orange Auto
Armor Property ZSH_Eye_Cyan Auto
Armor Property ZSH_Eye_Grey Auto
Armor Property ZSH_Eye_CloudedRed Auto
Armor Property ZSH_Eye_CloudedBlue Auto
Armor Property ZSH_Eye_CloudedGolden Auto
Armor Property ZSH_Eye_CloudedViolet Auto
Armor Property ZSH_Eye_CloudedGreen Auto
Armor Property ZSH_Eye_CloudedOrange Auto
Armor Property ZSH_Eye_CloudedCyan Auto
Armor Property ZSH_Eye_CloudedGrey Auto


Int ChangeEye = 0
String Property CurrentEye Auto
String Property Eye00 Auto
String Property Eye01 Auto
String Property Eye02 Auto
String Property Eye03 Auto
String Property Eye04 Auto
String Property Eye05 Auto
String Property Eye06 Auto
String Property Eye07 Auto
String Property Eye08 Auto
String Property Eye09 Auto
String Property Eye10 Auto
String Property Eye11 Auto
String Property Eye12 Auto
String Property Eye13 Auto
String Property Eye14 Auto
String Property Eye15 Auto
String Property Eye16 Auto
String Property Eye17 Auto
String Property Eye18 Auto
String Property Eye19 Auto

Int ChangeGlow = 0
String Property CurrentGlow Auto
String Property Glow00 Auto
String Property Glow01 Auto
String Property Glow02 Auto
String Property Glow03 Auto
String Property Glow04 Auto
String Property Glow05 Auto
String Property Glow06 Auto
String Property Glow07 Auto
String Property Glow08 Auto
String Property Glow09 Auto
String Property Glow10 Auto
String Property Glow11 Auto
String Property Glow12 Auto
String Property Glow13 Auto
String Property Glow14 Auto
String Property Glow15 Auto
String Property Glow16 Auto

String Property CurrentEthereal Auto
String Property Ethereal00 Auto
String Property Ethereal01 Auto
String Property Ethereal02 Auto
String Property Ethereal03 Auto
String Property Ethereal04 Auto
String Property Ethereal05 Auto
String Property Ethereal06 Auto
String Property Ethereal07 Auto
String Property Ethereal08 Auto
String Property Ethereal09 Auto
String Property Ethereal10 Auto
String Property Ethereal11 Auto
String Property Ethereal12 Auto
String Property Ethereal13 Auto
String Property Ethereal14 Auto
String Property Ethereal15 Auto
String Property Ethereal16 Auto
String Property Ethereal17 Auto

;----------------------------------------------------------------------------------------------
;	EVENTS
;----------------------------------------------------------------------------------------------
Event OnInit()
	Aeonbarr.Equipitem(ZSH_Eye_Normal, True)
EndEvent

Event OnMenuClose(String MenuName)
if MenuName == "Journal Menu"
UnRegisterForMenu("Journal Menu")

IF ChangeEye == 1
	Aeonbarr.UnequipItem(Aeonbarr.GetWornForm(0x00000010))
	If ZSH_MCM_EyeColor.GetValue() == 0
		Aeonbarr.Equipitem(ZSH_Eye_Normal, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 1
		Aeonbarr.Equipitem(ZSH_Eye_Blind, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 2
		Aeonbarr.Equipitem(ZSH_Eye_Demonic, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 3
		Aeonbarr.Equipitem(ZSH_Eye_Brown, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 4
		Aeonbarr.Equipitem(ZSH_Eye_Red, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 5
		Aeonbarr.Equipitem(ZSH_Eye_Blue, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 6
		Aeonbarr.Equipitem(ZSH_Eye_Golden, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 7
		Aeonbarr.Equipitem(ZSH_Eye_Violet, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 8
		Aeonbarr.Equipitem(ZSH_Eye_Green, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 9
		Aeonbarr.Equipitem(ZSH_Eye_Orange, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 10
		Aeonbarr.Equipitem(ZSH_Eye_Cyan, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 11
		Aeonbarr.Equipitem(ZSH_Eye_Grey, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 12
		Aeonbarr.Equipitem(ZSH_Eye_CloudedRed, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 13
		Aeonbarr.Equipitem(ZSH_Eye_CloudedBlue, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 14
		Aeonbarr.Equipitem(ZSH_Eye_CloudedGolden, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 15
		Aeonbarr.Equipitem(ZSH_Eye_CloudedViolet, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 16
		Aeonbarr.Equipitem(ZSH_Eye_CloudedGreen, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 17
		Aeonbarr.Equipitem(ZSH_Eye_CloudedOrange, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 18
		Aeonbarr.Equipitem(ZSH_Eye_CloudedCyan, True)
	ElseIf ZSH_MCM_EyeColor.GetValue() == 19
		Aeonbarr.Equipitem(ZSH_Eye_CloudedGrey, True)
	Endif

	ChangeEye = 0
ENDIF

IF ChangeGlow == 1
	Aeonbarr.UnequipItem(Aeonbarr.GetWornForm(0x00000004))
	If ZSH_MCM_EyeGlowColor.GetValue() == 1
		Aeonbarr.Equipitem(ZSH_EyeGlow_Red, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 2
		Aeonbarr.Equipitem(ZSH_EyeGlow_Blue, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 3
		Aeonbarr.Equipitem(ZSH_EyeGlow_Gold, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 4
		Aeonbarr.Equipitem(ZSH_EyeGlow_Violet, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 5
		Aeonbarr.Equipitem(ZSH_EyeGlow_Green, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 6
		Aeonbarr.Equipitem(ZSH_EyeGlow_Orange, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 7
		Aeonbarr.Equipitem(ZSH_EyeGlow_Cyan, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 8
		Aeonbarr.Equipitem(ZSH_EyeGlow_White, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 9
		Aeonbarr.Equipitem(ZSH_EyeGlow_RedBig, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 10
		Aeonbarr.Equipitem(ZSH_EyeGlow_BlueBig, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 11
		Aeonbarr.Equipitem(ZSH_EyeGlow_GoldBig, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 12
		Aeonbarr.Equipitem(ZSH_EyeGlow_VioletBig, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 13
		Aeonbarr.Equipitem(ZSH_EyeGlow_GreenBig, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 14
		Aeonbarr.Equipitem(ZSH_EyeGlow_OrangeBig, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 15
		Aeonbarr.Equipitem(ZSH_EyeGlow_CyanBig, True)
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 16
		Aeonbarr.Equipitem(ZSH_EyeGlow_WhiteBig, True)
	Endif
	ChangeGlow = 0
ENDIF
endif
EndEvent

Function CallibrateEye()
	ChangeEye = 1
	RegisterForMenu("Journal Menu")
	If ZSH_MCM_EyeColor.GetValue() == 0
		CurrentEye = Eye00
	Elseif ZSH_MCM_EyeColor.GetValue() == 1
		CurrentEye = Eye01
	Elseif ZSH_MCM_EyeColor.GetValue() == 2
		CurrentEye = Eye02
	Elseif ZSH_MCM_EyeColor.GetValue() == 3
		CurrentEye = Eye03
	Elseif ZSH_MCM_EyeColor.GetValue() == 4
		CurrentEye = Eye04
	Elseif ZSH_MCM_EyeColor.GetValue() == 5
		CurrentEye = Eye05
	Elseif ZSH_MCM_EyeColor.GetValue() == 6
		CurrentEye = Eye06
	Elseif ZSH_MCM_EyeColor.GetValue() == 7
		CurrentEye = Eye07
	Elseif ZSH_MCM_EyeColor.GetValue() == 8
		CurrentEye = Eye08
	Elseif ZSH_MCM_EyeColor.GetValue() == 9
		CurrentEye = Eye09
	Elseif ZSH_MCM_EyeColor.GetValue() == 10
		CurrentEye = Eye10
	Elseif ZSH_MCM_EyeColor.GetValue() == 11
		CurrentEye = Eye11
	Elseif ZSH_MCM_EyeColor.GetValue() == 12
		CurrentEye = Eye12
	Elseif ZSH_MCM_EyeColor.GetValue() == 13
		CurrentEye = Eye13
	Elseif ZSH_MCM_EyeColor.GetValue() == 14
		CurrentEye = Eye14
	Elseif ZSH_MCM_EyeColor.GetValue() == 15
		CurrentEye = Eye15
	Elseif ZSH_MCM_EyeColor.GetValue() == 16
		CurrentEye = Eye16
	Elseif ZSH_MCM_EyeColor.GetValue() == 17
		CurrentEye = Eye17
	Elseif ZSH_MCM_EyeColor.GetValue() == 18
		CurrentEye = Eye18
	Elseif ZSH_MCM_EyeColor.GetValue() == 19
		CurrentEye = Eye19
	Endif
EndFunction

Function CallibrateGlow()
	ChangeGlow = 1
	RegisterForMenu("Journal Menu")
	If ZSH_MCM_EyeGlowColor.GetValue() == 0
		CurrentGlow = Glow00
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 1
		CurrentGlow = Glow01
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 2
		CurrentGlow = Glow02
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 3
		CurrentGlow = Glow03
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 4
		CurrentGlow = Glow04
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 5
		CurrentGlow = Glow05
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 6
		CurrentGlow = Glow06
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 7
		CurrentGlow = Glow07
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 8
		CurrentGlow = Glow08
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 9
		CurrentGlow = Glow09
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 10
		CurrentGlow = Glow10
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 11
		CurrentGlow = Glow11
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 12
		CurrentGlow = Glow12
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 13
		CurrentGlow = Glow13
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 14
		CurrentGlow = Glow14
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 15
		CurrentGlow = Glow15
	ElseIf ZSH_MCM_EyeGlowColor.GetValue() == 16
		CurrentGlow = Glow16
	Endif
EndFunction

Function CallibrateEthereal()
	If ZSH_MCM_Ethereal.GetValue() == 0
		CurrentEthereal = Ethereal00
		Aeonbarr.SetAlpha(1, True)
	Else
	Aeonbarr.SetAlpha(0.33, True)
	If ZSH_MCM_Ethereal.GetValue() == 1
		CurrentEthereal = Ethereal01
	ElseIf ZSH_MCM_Ethereal.GetValue() == 2
		CurrentEthereal = Ethereal02
	ElseIf ZSH_MCM_Ethereal.GetValue() == 3
		CurrentEthereal = Ethereal03
	ElseIf ZSH_MCM_Ethereal.GetValue() == 4
		CurrentEthereal = Ethereal04
	ElseIf ZSH_MCM_Ethereal.GetValue() == 5
		CurrentEthereal = Ethereal05
	ElseIf ZSH_MCM_Ethereal.GetValue() == 6
		CurrentEthereal = Ethereal06
	ElseIf ZSH_MCM_Ethereal.GetValue() == 7
		CurrentEthereal = Ethereal07
	ElseIf ZSH_MCM_Ethereal.GetValue() == 8
		CurrentEthereal = Ethereal08
	ElseIf ZSH_MCM_Ethereal.GetValue() == 9
		CurrentEthereal = Ethereal09
	ElseIf ZSH_MCM_Ethereal.GetValue() == 10
		CurrentEthereal = Ethereal10
	ElseIf ZSH_MCM_Ethereal.GetValue() == 11
		CurrentEthereal = Ethereal11
	ElseIf ZSH_MCM_Ethereal.GetValue() == 12
		CurrentEthereal = Ethereal12
	ElseIf ZSH_MCM_Ethereal.GetValue() == 13
		CurrentEthereal = Ethereal13
	ElseIf ZSH_MCM_Ethereal.GetValue() == 14
		CurrentEthereal = Ethereal14
	ElseIf ZSH_MCM_Ethereal.GetValue() == 15
		CurrentEthereal = Ethereal15
	ElseIf ZSH_MCM_Ethereal.GetValue() == 16
		CurrentEthereal = Ethereal16
	ElseIf ZSH_MCM_Ethereal.GetValue() == 17
		CurrentEthereal = Ethereal17
	Endif
	Endif
EndFunction