Scriptname ZSH_V2_AeonbarrScript04 extends Quest
;----------------------------------------------------------------------------------------------
; This script handles Aeonbarr's equipment and mane
;----------------------------------------------------------------------------------------------

GlobalVariable Property ZSH_MCM_EquipmentType Auto
GlobalVariable Property ZSH_MCM_EquipmentColor Auto
GlobalVariable Property ZSH_MCM_EquipmentMetal Auto
GlobalVariable Property ZSH_MCM_Mane Auto
GlobalVariable Property ZSH_MCM_DisableMane Auto

Actor Property Aeonbarr Auto

Armor Property ZSH_01Saddle_Black Auto
Armor Property ZSH_01Saddle_White Auto
Armor Property ZSH_01Saddle_Brown Auto
Armor Property ZSH_01Saddle_Red Auto
Armor Property ZSH_01Saddle_Blue Auto
Armor Property ZSH_01Saddle_Evil Auto

Armor Property ZSH_02Saddle_Black Auto
Armor Property ZSH_02Saddle_White Auto
Armor Property ZSH_02Saddle_Brown Auto
Armor Property ZSH_02Saddle_Red Auto		
Armor Property ZSH_02Saddle_Blue Auto		
Armor Property ZSH_02Saddle_Evil Auto		

Armor Property ZSH_04_ABronze_Black Auto
Armor Property ZSH_04_ABronze_White  Auto
Armor Property ZSH_04_ABronze_Brown Auto
Armor Property ZSH_04_ABronze_Red Auto
Armor Property ZSH_04_ABronze_Blue Auto
Armor Property ZSH_04_ABronze_Evil Auto

Armor Property ZSH_04_BCopper_Black Auto
Armor Property ZSH_04_BCopper_White  Auto
Armor Property ZSH_04_BCopper_Brown Auto
Armor Property ZSH_04_BCopper_Red Auto
Armor Property ZSH_04_BCopper_Blue Auto
Armor Property ZSH_04_BCopper_Evil Auto

Armor Property ZSH_04_COrc_Black Auto
Armor Property ZSH_04_COrc_White  Auto
Armor Property ZSH_04_COrc_Brown Auto
Armor Property ZSH_04_COrc_Red Auto
Armor Property ZSH_04_COrc_Blue Auto
Armor Property ZSH_04_COrc_Evil Auto

Armor Property ZSH_04_DSteel_Black Auto
Armor Property ZSH_04_DSteel_White  Auto
Armor Property ZSH_04_DSteel_Brown Auto
Armor Property ZSH_04_DSteel_Red Auto
Armor Property ZSH_04_DSteel_Blue Auto
Armor Property ZSH_04_DSteel_Evil Auto

Armor Property ZSH_04_ESteel_Black Auto
Armor Property ZSH_04_ESteel_White  Auto
Armor Property ZSH_04_ESteel_Brown Auto
Armor Property ZSH_04_ESteel_Red Auto
Armor Property ZSH_04_ESteel_Blue Auto
Armor Property ZSH_04_ESteel_Evil Auto

Armor Property ZSH_04_FSteel_Black Auto
Armor Property ZSH_04_FSteel_White  Auto
Armor Property ZSH_04_FSteel_Brown Auto
Armor Property ZSH_04_FSteel_Red Auto
Armor Property ZSH_04_FSteel_Blue Auto
Armor Property ZSH_04_FSteel_Evil Auto

Armor Property ZSH_00Saddle_Custom Auto

Int ChangeEquipmentType = 0
String Property CurrentEquipmentType Auto
String Property EquipmentType00 Auto	; Heavy Armor
String Property EquipmentType01 Auto	; Leather Saddle
String Property EquipmentType02 Auto	; Fur Saddle
String Property EquipmentType03 Auto	; No Saddle
String Property EquipmentType04 Auto	; Custom Saddle

String Property CurrentEquipmentColor Auto
String Property EquipmentColor00 Auto	; Dark
String Property EquipmentColor01 Auto	; Pale
String Property EquipmentColor02 Auto	; Mundane
String Property EquipmentColor03 Auto	; Imperial Red
String Property EquipmentColor04 Auto	; Stormcloak Blue
String Property EquipmentColor05 Auto	; Shrouded Red

String Property CurrentEquipmentMetal Auto
String Property EquipmentMetal00 Auto
String Property EquipmentMetal01 Auto
String Property EquipmentMetal02 Auto
String Property EquipmentMetal03 Auto
String Property EquipmentMetal04 Auto
String Property EquipmentMetal05 Auto

Armor Property ZSH_Mane_Black Auto
Armor Property ZSH_Mane_Blonde Auto
Armor Property ZSH_Mane_Brown Auto
Armor Property ZSH_Mane_Exmoor Auto
Armor Property ZSH_Mane_Fjord Auto
Armor Property ZSH_Mane_Greymoor Auto
Armor Property ZSH_Mane_Haflinger Auto
Armor Property ZSH_Mane_White Auto
Armor Property ZSH_Mane_Red Auto
Armor Property ZSH_Mane_Blue Auto
Armor Property ZSH_Mane_Gold Auto
Armor Property ZSH_Mane_Violet Auto
Armor Property ZSH_Mane_Green Auto
Armor Property ZSH_Mane_Orange Auto
Armor Property ZSH_Mane_Cyan Auto
Armor Property ZSH_Mane_Grey Auto

Armor Property ZSH_Mane_BlackArmor Auto
Armor Property ZSH_Mane_BlondeArmor Auto
Armor Property ZSH_Mane_BrownArmor Auto
Armor Property ZSH_Mane_ExmoorArmor Auto
Armor Property ZSH_Mane_FjordArmor Auto
Armor Property ZSH_Mane_GreymoorArmor Auto
Armor Property ZSH_Mane_HaflingerArmor Auto
Armor Property ZSH_Mane_WhiteArmor Auto
Armor Property ZSH_Mane_RedArmor Auto
Armor Property ZSH_Mane_BlueArmor Auto
Armor Property ZSH_Mane_GoldArmor Auto
Armor Property ZSH_Mane_VioletArmor Auto
Armor Property ZSH_Mane_GreenArmor Auto
Armor Property ZSH_Mane_OrangeArmor Auto
Armor Property ZSH_Mane_CyanArmor Auto
Armor Property ZSH_Mane_GreyArmor Auto

Int ChangeMane = 0
String Property CurrentMane Auto
String Property Mane00 Auto
String Property Mane01 Auto
String Property Mane02 Auto
String Property Mane03 Auto
String Property Mane04 Auto
String Property Mane05 Auto
String Property Mane06 Auto
String Property Mane07 Auto
String Property Mane08 Auto
String Property Mane09 Auto
String Property Mane10 Auto
String Property Mane11 Auto
String Property Mane12 Auto
String Property Mane13 Auto
String Property Mane14 Auto
String Property Mane15 Auto

;----------------------------------------------------------------------------------------------
;	EVENTS
;---------------------------------------------------------------------------------------------
Event OnInit()
	Aeonbarr.Equipitem(ZSH_Mane_Brown, True)
EndEvent

Event OnMenuClose(String MenuName)
if MenuName == "Journal Menu"
RegisterForMenu("Journal Menu")

IF ChangeEquipmentType == 1
	Aeonbarr.UnequipItem(Aeonbarr.GetWornForm(0x00008000))
	If ZSH_MCM_EquipmentType.GetValue() == 0
		ChooseHeavyArmor()
	Elseif ZSH_MCM_EquipmentType.GetValue() == 1
		ChooseLeatherSaddle()
	Elseif ZSH_MCM_EquipmentType.GetValue() == 2
		ChooseFurSaddle()
	Elseif (ZSH_MCM_EquipmentType.GetValue() == 4)
		Aeonbarr.Equipitem(ZSH_00Saddle_Custom, True)
	Endif
	
	ChangeEquipmentType = 0
ENDIF

IF ChangeMane == 1
	Aeonbarr.UnequipItem(Aeonbarr.GetWornForm(0x00000800))
	If (ZSH_MCM_EquipmentType.GetValue() == 0) || (ZSH_MCM_DisableMane.GetValue() == 1)
		If ZSH_MCM_Mane.GetValue() == 0
			Aeonbarr.Equipitem(ZSH_Mane_BlackArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 1
			Aeonbarr.Equipitem(ZSH_Mane_BlondeArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 2
			Aeonbarr.Equipitem(ZSH_Mane_BrownArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 3
			Aeonbarr.Equipitem(ZSH_Mane_ExmoorArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 4
			Aeonbarr.Equipitem(ZSH_Mane_FjordArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 5
			Aeonbarr.Equipitem(ZSH_Mane_GreymoorArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 6
			Aeonbarr.Equipitem(ZSH_Mane_HaflingerArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 7
			Aeonbarr.Equipitem(ZSH_Mane_WhiteArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 8
			Aeonbarr.Equipitem(ZSH_Mane_RedArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 9
			Aeonbarr.Equipitem(ZSH_Mane_BlueArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 10
			Aeonbarr.Equipitem(ZSH_Mane_GoldArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 11
			Aeonbarr.Equipitem(ZSH_Mane_VioletArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 12
			Aeonbarr.Equipitem(ZSH_Mane_GreenArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 13
			Aeonbarr.Equipitem(ZSH_Mane_OrangeArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 14
			Aeonbarr.Equipitem(ZSH_Mane_CyanArmor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 15
			Aeonbarr.Equipitem(ZSH_Mane_GreyArmor, True)
		Endif
	Else
		If ZSH_MCM_Mane.GetValue() == 0
			Aeonbarr.Equipitem(ZSH_Mane_Black, True)
		Elseif ZSH_MCM_Mane.GetValue() == 1
			Aeonbarr.Equipitem(ZSH_Mane_Blonde, True)
		Elseif ZSH_MCM_Mane.GetValue() == 2
			Aeonbarr.Equipitem(ZSH_Mane_Brown, True)
		Elseif ZSH_MCM_Mane.GetValue() == 3
			Aeonbarr.Equipitem(ZSH_Mane_Exmoor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 4
			Aeonbarr.Equipitem(ZSH_Mane_Fjord, True)
		Elseif ZSH_MCM_Mane.GetValue() == 5
			Aeonbarr.Equipitem(ZSH_Mane_Greymoor, True)
		Elseif ZSH_MCM_Mane.GetValue() == 6
			Aeonbarr.Equipitem(ZSH_Mane_Haflinger, True)
		Elseif ZSH_MCM_Mane.GetValue() == 7
			Aeonbarr.Equipitem(ZSH_Mane_White, True)
		Elseif ZSH_MCM_Mane.GetValue() == 8
			Aeonbarr.Equipitem(ZSH_Mane_Red, True)
		Elseif ZSH_MCM_Mane.GetValue() == 9
			Aeonbarr.Equipitem(ZSH_Mane_Blue, True)
		Elseif ZSH_MCM_Mane.GetValue() == 10
			Aeonbarr.Equipitem(ZSH_Mane_Gold, True)
		Elseif ZSH_MCM_Mane.GetValue() == 11
			Aeonbarr.Equipitem(ZSH_Mane_Violet, True)
		Elseif ZSH_MCM_Mane.GetValue() == 12
			Aeonbarr.Equipitem(ZSH_Mane_Green, True)
		Elseif ZSH_MCM_Mane.GetValue() == 13
			Aeonbarr.Equipitem(ZSH_Mane_Orange, True)
		Elseif ZSH_MCM_Mane.GetValue() == 14
			Aeonbarr.Equipitem(ZSH_Mane_Cyan, True)
		Elseif ZSH_MCM_Mane.GetValue() == 15
			Aeonbarr.Equipitem(ZSH_Mane_Grey, True)
		Endif
	Endif

	ChangeMane = 0
ENDIF

endif
EndEvent

Function ChooseHeavyArmor()
	If ZSH_MCM_EquipmentMetal.GetValue() == 5
		If ZSH_MCM_EquipmentColor.GetValue() == 0
			Aeonbarr.Equipitem(ZSH_04_FSteel_Black, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
			Aeonbarr.Equipitem(ZSH_04_FSteel_White, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
			Aeonbarr.Equipitem(ZSH_04_FSteel_Brown, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
			Aeonbarr.Equipitem(ZSH_04_FSteel_Red, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
			Aeonbarr.Equipitem(ZSH_04_FSteel_Blue, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
			Aeonbarr.Equipitem(ZSH_04_FSteel_Evil, True)
		Endif
	ElseIf ZSH_MCM_EquipmentMetal.GetValue() == 4
		If ZSH_MCM_EquipmentColor.GetValue() == 0
			Aeonbarr.Equipitem(ZSH_04_ESteel_Black, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
			Aeonbarr.Equipitem(ZSH_04_ESteel_White, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
			Aeonbarr.Equipitem(ZSH_04_ESteel_Brown, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
			Aeonbarr.Equipitem(ZSH_04_ESteel_Red, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
			Aeonbarr.Equipitem(ZSH_04_ESteel_Blue, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
			Aeonbarr.Equipitem(ZSH_04_ESteel_Evil, True)
		Endif
	Elseif ZSH_MCM_EquipmentMetal.GetValue() == 3
		If ZSH_MCM_EquipmentColor.GetValue() == 0
			Aeonbarr.Equipitem(ZSH_04_DSteel_Black, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
			Aeonbarr.Equipitem(ZSH_04_DSteel_White, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
			Aeonbarr.Equipitem(ZSH_04_DSteel_Brown, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
			Aeonbarr.Equipitem(ZSH_04_DSteel_Red, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
			Aeonbarr.Equipitem(ZSH_04_DSteel_Blue, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
			Aeonbarr.Equipitem(ZSH_04_DSteel_Evil, True)
		Endif
	Elseif ZSH_MCM_EquipmentMetal.GetValue() == 2
		If ZSH_MCM_EquipmentColor.GetValue() == 0
			Aeonbarr.Equipitem(ZSH_04_COrc_Black, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
			Aeonbarr.Equipitem(ZSH_04_COrc_White, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
			Aeonbarr.Equipitem(ZSH_04_COrc_Brown, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
			Aeonbarr.Equipitem(ZSH_04_COrc_Red, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
			Aeonbarr.Equipitem(ZSH_04_COrc_Blue, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
			Aeonbarr.Equipitem(ZSH_04_COrc_Evil, True)
		Endif
	Elseif ZSH_MCM_EquipmentMetal.GetValue() == 1
		If ZSH_MCM_EquipmentColor.GetValue() == 0
			Aeonbarr.Equipitem(ZSH_04_BCopper_Black, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
			Aeonbarr.Equipitem(ZSH_04_BCopper_White, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
			Aeonbarr.Equipitem(ZSH_04_BCopper_Brown, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
			Aeonbarr.Equipitem(ZSH_04_BCopper_Red, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
			Aeonbarr.Equipitem(ZSH_04_BCopper_Blue, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
			Aeonbarr.Equipitem(ZSH_04_BCopper_Evil, True)
		Endif
	Elseif ZSH_MCM_EquipmentMetal.GetValue() == 0
		If ZSH_MCM_EquipmentColor.GetValue() == 0
			Aeonbarr.Equipitem(ZSH_04_ABronze_Black, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
			Aeonbarr.Equipitem(ZSH_04_ABronze_White, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
			Aeonbarr.Equipitem(ZSH_04_ABronze_Brown, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
			Aeonbarr.Equipitem(ZSH_04_ABronze_Red, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
			Aeonbarr.Equipitem(ZSH_04_ABronze_Blue, True)
		ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
			Aeonbarr.Equipitem(ZSH_04_ABronze_Evil, True)
		Endif
	Endif
EndFunction

Function ChooseLeatherSaddle()
	If ZSH_MCM_EquipmentColor.GetValue() == 0
		Aeonbarr.Equipitem(ZSH_02Saddle_Black, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
		Aeonbarr.Equipitem(ZSH_02Saddle_White, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
		Aeonbarr.Equipitem(ZSH_02Saddle_Brown, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
		Aeonbarr.Equipitem(ZSH_02Saddle_Red, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
		Aeonbarr.Equipitem(ZSH_02Saddle_Blue, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
		Aeonbarr.Equipitem(ZSH_02Saddle_Evil, True)
	Endif
EndFunction

Function ChooseFurSaddle()
	If ZSH_MCM_EquipmentColor.GetValue() == 0
		Aeonbarr.Equipitem(ZSH_01Saddle_Black, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
		Aeonbarr.Equipitem(ZSH_01Saddle_White, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
		Aeonbarr.Equipitem(ZSH_01Saddle_Brown, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
		Aeonbarr.Equipitem(ZSH_01Saddle_Red, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
		Aeonbarr.Equipitem(ZSH_01Saddle_Blue, True)
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
		Aeonbarr.Equipitem(ZSH_01Saddle_Evil, True)
	Endif
EndFunction

Function CallibrateEquipment()
	ChangeEquipmentType = 1
	ChangeMane = 1
	RegisterForMenu("Journal Menu")
	If ZSH_MCM_EquipmentType.GetValue() == 0
		CurrentEquipmentType = EquipmentType00
	ElseIf ZSH_MCM_EquipmentType.GetValue() == 1
		CurrentEquipmentType = EquipmentType01
	ElseIf ZSH_MCM_EquipmentType.GetValue() == 2
		CurrentEquipmentType = EquipmentType02
	ElseIf ZSH_MCM_EquipmentType.GetValue() == 3
		CurrentEquipmentType = EquipmentType03
	ElseIf ZSH_MCM_EquipmentType.GetValue() == 4
		CurrentEquipmentType = EquipmentType04
	Endif

	If ZSH_MCM_EquipmentColor.GetValue() == 0
		CurrentEquipmentColor = EquipmentColor00
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 1
		CurrentEquipmentColor = EquipmentColor01
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 2
		CurrentEquipmentColor = EquipmentColor02
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 3
		CurrentEquipmentColor = EquipmentColor03
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 4
		CurrentEquipmentColor = EquipmentColor04
	ElseIf ZSH_MCM_EquipmentColor.GetValue() == 5
		CurrentEquipmentColor = EquipmentColor05
	Endif

	If ZSH_MCM_EquipmentMetal.GetValue() == 0
		CurrentEquipmentMetal = EquipmentMetal00
	ElseIf ZSH_MCM_EquipmentMetal.GetValue() == 1
		CurrentEquipmentMetal = EquipmentMetal01
	ElseIf ZSH_MCM_EquipmentMetal.GetValue() == 2
		CurrentEquipmentMetal = EquipmentMetal02
	ElseIf ZSH_MCM_EquipmentMetal.GetValue() == 3
		CurrentEquipmentMetal = EquipmentMetal03
	ElseIf ZSH_MCM_EquipmentMetal.GetValue() == 4
		CurrentEquipmentMetal = EquipmentMetal04
	ElseIf ZSH_MCM_EquipmentMetal.GetValue() == 5
		CurrentEquipmentMetal = EquipmentMetal05
	Endif
EndFunction

Function CallibrateMane()
	ChangeMane = 1
	RegisterForMenu("Journal Menu")
	If ZSH_MCM_Mane.GetValue() == 0
		CurrentMane = Mane00
	ElseIf ZSH_MCM_Mane.GetValue() == 1
		CurrentMane = Mane01
	ElseIf ZSH_MCM_Mane.GetValue() == 2
		CurrentMane = Mane02
	ElseIf ZSH_MCM_Mane.GetValue() == 3
		CurrentMane = Mane03
	ElseIf ZSH_MCM_Mane.GetValue() == 4
		CurrentMane = Mane04
	ElseIf ZSH_MCM_Mane.GetValue() == 5
		CurrentMane = Mane05
	ElseIf ZSH_MCM_Mane.GetValue() == 6
		CurrentMane = Mane06
	ElseIf ZSH_MCM_Mane.GetValue() == 7
		CurrentMane = Mane07
	ElseIf ZSH_MCM_Mane.GetValue() == 8
		CurrentMane = Mane08
	ElseIf ZSH_MCM_Mane.GetValue() == 9
		CurrentMane = Mane09
	ElseIf ZSH_MCM_Mane.GetValue() == 10
		CurrentMane = Mane10
	ElseIf ZSH_MCM_Mane.GetValue() == 11
		CurrentMane = Mane11
	ElseIf ZSH_MCM_Mane.GetValue() == 12
		CurrentMane = Mane12
	ElseIf ZSH_MCM_Mane.GetValue() == 13
		CurrentMane = Mane13
	ElseIf ZSH_MCM_Mane.GetValue() == 14
		CurrentMane = Mane14
	ElseIf ZSH_MCM_Mane.GetValue() == 15
		CurrentMane = Mane15
	Endif
EndFunction