Scriptname ZSH_V2_MCM extends SKI_ConfigBase  
;----------------------------------------------------------------------------------------
; 				SUMMON QUEST PROPERTIES
;----------------------------------------------------------------------------------------
Quest Property ZSH_AeonbarrQuest Auto
ObjectReference Property AeonbarrNirnMarker Auto
Location Property ZSH_HorseLocation Auto
;----------------------------------------------------------------------------------------
; 				COAT COLOR PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_HorseHideColor Auto
int HideColorControlOption = 4
int HideColorControl = 4
;----------------------------------------------------------------------------------------
; 				NAME PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_Name Auto
int NameControlOption = 0
int NameControl = 0
;----------------------------------------------------------------------------------------
; 				EQUIPMENT TYPE PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_EquipmentType Auto
int EquipTypeControlOption = 3
int EquipTypeControl = 3													; 0 = Heavy Armor, 1 = Leather Saddle, 2 = Fur Saddle, 3 = No Saddle
;----------------------------------------------------------------------------------------
; 				EQUIPMENT COLOR PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_EquipmentColor Auto
int EquipColorControlOption = 2
int EquipColorControl = 2													; 0 = Dark Colors, 1 = Pale Colors, 2 = Mundane Colors, 3 = Imperial Red, 4 = Stormcloak Blue, 5 = Shrouded Red
;----------------------------------------------------------------------------------------
; 				EQUIPMENT MATERIAL PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_EquipmentMetal Auto
int EquipMaterialControlOption = 0
int EquipMaterialControl = 0													; 0 = Bronze Armor, 1 = Copper Armor, 2 = Orichalcum Armor, 3 = Dark Steel Armor, 4 = Pale Steel Armor, 5 = Steel Armor
;----------------------------------------------------------------------------------------
; 				EYE GLOW PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_EyeGlowColor Auto
int EyeGlowControlOption = 0
int EyeGlowControl = 0													
;----------------------------------------------------------------------------------------
; 				EYE COLOR PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_EyeColor Auto
int EyeControlOption = 0
int EyeControl = 0		
;----------------------------------------------------------------------------------------
; 				MANE PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_Mane Auto
int ManeControlOption = 0
int ManeControl = 0														
;----------------------------------------------------------------------------------------
; 				AEONBARR SIZE PROPERTIES
;----------------------------------------------------------------------------------------
GlobalVariable Property ZSH_MCM_Size Auto
int SizeControlOption = 2
int SizeControl = 2								
;----------------------------------------------------------------------------------------
; 				ETHEREAL PROPERTIES
;----------------------------------------------------------------------------------------
Int EtherealAbControlOption = 0
Int EtherealAbControl = 0													
GlobalVariable Property ZSH_MCM_Ethereal Auto
;----------------------------------------------------------------------------------------
; 				MOUNTED BANISH PROPERTIES
;----------------------------------------------------------------------------------------
int MountedBanishOption = 0
int MountedBanishKeyCode = -1
;----------------------------------------------------------------------------------------
; 				RETURN PROPERTIES
;----------------------------------------------------------------------------------------
int ReturnOption = 0
int ReturnKeyCode = -1
;----------------------------------------------------------------------------------------
; 				MARK PROPERTIES
;----------------------------------------------------------------------------------------
int MarkOption = 0
int MarkKeyCode = -1
;----------------------------------------------------------------------------------------
; 				ATTRIBUTE PROPERTIES
;----------------------------------------------------------------------------------------
Int HorseSpeed
GlobalVariable Property ZSH_MCM_HorseSpeed Auto
Int FortifyDamage
GlobalVariable Property ZSH_MCM_FortifyDamage Auto
Int FortifyHealth
GlobalVariable Property ZSH_MCM_FortifyHealth Auto
Int FortifyStamina
GlobalVariable Property ZSH_MCM_FortifyStamina Auto
Int ResistFall
GlobalVariable Property ZSH_MCM_ResistFall Auto
Int ResistPhysical
GlobalVariable Property ZSH_MCM_ResistPhysical Auto
Int ResistMagic
GlobalVariable Property ZSH_MCM_ResistMagic Auto
Int ResistPoison
GlobalVariable Property ZSH_MCM_ResistPoison Auto
;----------------------------------------------------------------------------------------
; 				SUMMON KEY PROPERTIES
;----------------------------------------------------------------------------------------
int SummonKeyOption = 0
int SummonKeyCode = -1
Int Rotation
GlobalVariable Property ZSH_MCM_SummonRotation Auto
;----------------------------------------------------------------------------------------
; 				TOGGLE PROPERTIES
;----------------------------------------------------------------------------------------
Int Toggle01
Int Toggle02
Int Toggle03
Int Toggle04
Int Toggle05
GlobalVariable Property ZSH_MCM_SpellOrPower Auto
GlobalVariable Property ZSH_MCM_Waterwalk Auto
GlobalVariable Property ZSH_MCM_HealSpell Auto
GlobalVariable Property ZSH_MCM_DisableMane Auto
GlobalVariable ToggleGlobal
;----------------------------------------------------------------------------------------
; 				QUEST APROPERTIES
;----------------------------------------------------------------------------------------
Quest Property ZSH_BlackstedQuest Auto
GlobalVariable Property ZSH_MCM_Quest Auto

Event OnPageReset(string page)
    	SetCursorFillMode(TOP_TO_BOTTOM)
	Toggle02 = AddToggleOption("Complete Quest", ZSH_MCM_Quest.GetValueInt(), ZSH_MCM_Quest.GetValueInt())
   	AddHeaderOption("Aeonbarr's Appearance")
	HideColorControlOption = AddMenuOption("Coat Color", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentColor)
	ManeControlOption = AddMenuOption("Mane Color", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentMane)
	Toggle05 = AddToggleOption("Hide Mane", ZSH_MCM_DisableMane.GetValueInt())
	EyeControlOption = AddMenuOption("Eye Color", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentEye)
	EyeGlowControlOption = AddMenuOption("Eye Glow Color", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentGlow)
	EtherealAbControlOption = AddMenuOption("Shader Color", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentEthereal)
	SizeControlOption = AddMenuOption("Body Size", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentSize)

   	AddHeaderOption("Aeonbarr's Equipment")
	EquipTypeControlOption = AddMenuOption("Equipment Type", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentType)
	EquipColorControlOption = AddMenuOption("Equipment Color", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentColor)
	EquipMaterialControlOption = AddMenuOption("Equipment Metal", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentMetal)

   	AddHeaderOption("Aeonbarr's Magic")
	Toggle01 = AddToggleOption("Aeonbarr's Alteration", ZSH_MCM_Waterwalk.GetValueInt())
	Toggle04 = AddToggleOption("Aeonbarr's Restoration", ZSH_MCM_HealSpell.GetValueInt())

    	SetCursorPosition(1)
	NameControlOption = AddMenuOption("Nickname", (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentName)
   	AddHeaderOption("Summoning Aeonbarr")
	Toggle03 = AddToggleOption("Aeonbarr Power", ZSH_MCM_SpellOrPower.GetValueInt())
	MountedBanishOption = AddKeymapOption("Mounted Banish Key", MountedBanishKeyCode)
	SummonKeyOption = AddKeymapOption("Summon Aeonbarr Key", SummonKeyCode)
	MarkOption = AddKeymapOption("Mark Key", MarkKeyCode)
	ReturnOption = AddKeymapOption("Return Key", ReturnKeyCode)
	Rotation = AddSliderOption("Summon Rotation", ZSH_MCM_SummonRotation.GetValueInt(), "{0}")

   	AddHeaderOption("Aeonbarr's Strength")
	HorseSpeed = AddSliderOption("Fortify Speed", ZSH_MCM_HorseSpeed.GetValueInt(), "{0}")
	FortifyStamina = AddSliderOption("Fortify Stamina", ZSH_MCM_FortifyStamina.GetValueInt(), "{0}")
	FortifyDamage = AddSliderOption("Fortify Attack", ZSH_MCM_FortifyDamage.GetValueInt(), "{0}")

   	AddHeaderOption("Aeonbarr's Defence")
	FortifyHealth = AddSliderOption("Fortify Health", ZSH_MCM_FortifyHealth.GetValueInt(), "{0}")
	ResistPhysical = AddSliderOption("Physical Resistance", ZSH_MCM_ResistPhysical.GetValueInt(), "{0}")
	ResistPoison = AddSliderOption("Poison Resistance", ZSH_MCM_ResistPoison.GetValueInt(), "{0}")
	ResistMagic = AddSliderOption("Magic Resistance", ZSH_MCM_ResistMagic.GetValueInt(), "{0}")
	ResistFall = AddSliderOption("Fall Resistance", ZSH_MCM_ResistFall.GetValueInt(), "{0}")
EndEvent

Function SimpleToggle()
	If ToggleGlobal.GetValue() == 0
		ToggleGlobal.SetValue(1)
	ElseIf ToggleGlobal.GetValue() == 1
		ToggleGlobal.SetValue(0)
	Endif
EndFunction

Event OnOptionSelect(Int Option)
	IF Option == Toggle01
		ToggleGlobal = ZSH_MCM_Waterwalk
		SimpleToggle()
		SetToggleOptionValue(Toggle01, ZSH_MCM_Waterwalk.GetValueInt())
	ELSEIF (Option == Toggle02) && (ZSH_MCM_Quest.GetValueInt() == 0)
		Bool ContinueSkip = True
		ContinueSkip = ShowMessage("Are you sure you want to auto-complete the Blacksted Legacy quest? Once completed, you will not be able to start the quest again.", True, "$Yes", "$No")
		If ContinueSkip 
			ZSH_MCM_Quest.SetValue(1)
			(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript01).SkipQuest()
			ForcePageReset()
		Endif
	ELSEIF Option == Toggle03
		ToggleGlobal = ZSH_MCM_SpellOrPower
		SimpleToggle()
		SetToggleOptionValue(Toggle03, ZSH_MCM_SpellOrPower.GetValueInt())
	ELSEIF Option == Toggle04
		ToggleGlobal = ZSH_MCM_HealSpell
		SimpleToggle()
		SetToggleOptionValue(Toggle04, ZSH_MCM_HealSpell.GetValueInt())
		AddHealSpell()
	ELSEIF Option == Toggle05
		ToggleGlobal = ZSH_MCM_DisableMane
		SimpleToggle()
		SetToggleOptionValue(Toggle05, ZSH_MCM_DisableMane.GetValueInt())
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateMane()
	ENDIF
EndEvent

Event OnOptionMenuOpen(Int Option)
	IF Option == HideColorControlOption
		String[] options = new String[10]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color04
		options[5] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color05
		options[6] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color06
		options[7] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color07
		options[8] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color08
		options[9] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Color09
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(HideColorControl)
		SetMenuDialogDefaultIndex(4)

	ELSEIF Option == ManeControlOption
		String[] options = new String[16]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane04
		options[5] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane05
		options[6] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane06
		options[7] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane07
		options[8] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane08
		options[9] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane09
		options[10] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane10
		options[11] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane11
		options[12] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane12
		options[13] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane13
		options[14] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane14
		options[15] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).Mane15
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(ManeControl)
		SetMenuDialogDefaultIndex(2)

	ELSEIF Option == NameControlOption
		String[] options = new String[76]
options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name00
options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name01
options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name02
options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name03
options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name04
options[5] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name05
options[6] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name06
options[7] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name07
options[8] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name07a
options[9] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name08
options[10] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name09
options[11] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name10
options[12] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name11
options[13] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name12
options[14] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name13
options[15] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name14
options[16] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name14a
options[17] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name14b
options[18] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name14c
options[19] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name14d
options[20] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name14e
options[21] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name15
options[22] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name16
options[23] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name16a
options[24] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name16b
options[25] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name17
options[26] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name18
options[27] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name19
options[28] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name20
options[29] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name21
options[30] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22
options[31] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22a
options[32] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22b
options[33] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22c
options[34] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22d
options[35] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22e
options[36] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22f
options[37] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22g
options[38] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name22h
options[39] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name23
options[40] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name24
options[41] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name24a
options[42] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name25
options[43] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name25a
options[44] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name26
options[45] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name26a
options[46] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name27
options[47] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name27a
options[48] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name28
options[49] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name28a
options[50] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name28b
options[51] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name28c
options[52] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name28d
options[53] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name29
options[54] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name29a
options[55] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name29b
options[56] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name29c
options[57] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name29d
options[58] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name29e
options[59] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name30
options[60] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name31
options[61] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name31a
options[62] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name32
options[63] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name32a
options[64] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name33
options[65] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name34
options[66] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name35
options[67] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name36
options[68] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name37
options[69] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name38
options[70] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name39
options[71] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name39a
options[72] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name39b
options[73] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name39c
options[74] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name39d
options[75] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Name40
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(NameControl)
		SetMenuDialogDefaultIndex(0)

	ELSEIF Option == EyeControlOption
		String[] options = new String[20]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye04
		options[5] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye05
		options[6] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye06
		options[7] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye07
		options[8] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye08
		options[9] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye09
		options[10] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye10
		options[11] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye11
		options[12] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye12
		options[13] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye13
		options[14] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye14
		options[15] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye15
		options[16] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye16
		options[17] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye17
		options[18] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye18
		options[19] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Eye19
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(EyeControl)
		SetMenuDialogDefaultIndex(0)

	ELSEIF Option == EyeGlowControlOption
		String[] options = new String[17]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow04
		options[5] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow05
		options[6] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow06
		options[7] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow07
		options[8] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow08
		options[9] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow09
		options[10] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow10
		options[11] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow11
		options[12] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow12
		options[13] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow13
		options[14] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow14
		options[15] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow15
		options[16] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Glow16
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(EyeGlowControl)
		SetMenuDialogDefaultIndex(0)

	ELSEIF Option == EtherealAbControlOption
		String[] options = new String[18]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal04
		options[5] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal05
		options[6] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal06
		options[7] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal07
		options[8] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal08
		options[9] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal09
		options[10] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal10
		options[11] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal11
		options[12] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal12
		options[13] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal13
		options[14] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal14
		options[15] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal15
		options[16] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal16
		options[17] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).Ethereal17
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(EtherealAbControl)
		SetMenuDialogDefaultIndex(0)

	ELSEIF Option == SizeControlOption
		String[] options = new String[5]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Size00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Size01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Size02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Size03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).Size04
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(SizeControl)
		SetMenuDialogDefaultIndex(2)

	ELSEIF Option == EquipTypeControlOption
		String[] options = new String[5]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentType00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentType01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentType02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentType03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentType04
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(EquipTypeControl)
		SetMenuDialogDefaultIndex(2)

	ELSEIF Option == EquipColorControlOption
		String[] options = new String[6]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentColor00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentColor01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentColor02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentColor03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentColor04
		options[5] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentColor05
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(EquipColorControl)
		SetMenuDialogDefaultIndex(2)

	ELSEIF Option == EquipMaterialControlOption
		String[] options = new String[6]
		options[0] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentMetal00
		options[1] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentMetal01
		options[2] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentMetal02
		options[3] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentMetal03
		options[4] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentMetal04
		options[5] = (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).EquipmentMetal05
		SetMenuDialogOptions(Options)
		SetMenuDialogStartIndex(EquipMaterialControl)
		SetMenuDialogDefaultIndex(0)

	ENDIF
EndEvent

Event OnOptionMenuAccept(int option, int index)
	IF Option == HideColorControlOption
		HideColorControl = index
		ZSH_MCM_HorseHideColor.SetValue(HideColorControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateColor()
		SetMenuOptionValue(HideColorControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentColor)

	ELSEIF Option == ManeControlOption
		ManeControl = index
		ZSH_MCM_Mane.SetValue(ManeControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateMane()
		SetMenuOptionValue(ManeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentMane)

	ELSEIF Option == NameControlOption
		NameControl = index
		ZSH_MCM_Name.SetValue(NameControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateName()
		SetMenuOptionValue(NameControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentName)

	ELSEIF Option == EyeControlOption
		EyeControl = index
		ZSH_MCM_EyeColor.SetValue(EyeControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CallibrateEye()
		SetMenuOptionValue(EyeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentEye)

	ELSEIF Option == EyeGlowControlOption
		EyeGlowControl = index
		ZSH_MCM_EyeGlowColor.SetValue(EyeGlowControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CallibrateGlow()
		SetMenuOptionValue(EyeGlowControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentGlow)

	ELSEIF Option == EtherealAbControlOption
		EtherealAbControl = index
		ZSH_MCM_Ethereal.SetValue(EtherealAbControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CallibrateEthereal()
		SetMenuOptionValue(EtherealAbControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentEthereal)

	ELSEIF Option == SizeControlOption
		SizeControl = index
		ZSH_MCM_Size.SetValue(SizeControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateSize()
		SetMenuOptionValue(SizeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentSize)

	ELSEIF Option == EquipTypeControlOption
		EquipTypeControl = index
		ZSH_MCM_EquipmentType.SetValue(EquipTypeControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateEquipment()
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateColor()
		SetMenuOptionValue(EquipTypeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentType)

	ELSEIF Option == EquipColorControlOption
		EquipColorControl = index
		ZSH_MCM_EquipmentColor.SetValue(EquipColorControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateEquipment()
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateColor()
		SetMenuOptionValue(EquipColorControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentColor)

	ELSEIF Option == EquipMaterialControlOption
		EquipMaterialControl = index
		ZSH_MCM_EquipmentMetal.SetValue(EquipMaterialControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateEquipment()
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateColor()
		SetMenuOptionValue(EquipMaterialControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentMetal)

	ENDIF
EndEvent

Event OnOptionSliderOpen(Int Option)
	IF Option == HorseSpeed
        	SetSliderDialogStartValue(ZSH_MCM_HorseSpeed.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(0, 250)
        	SetSliderDialogInterval(1)
	ELSEIF Option == Rotation
        	SetSliderDialogStartValue(ZSH_MCM_SummonRotation.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(-180, 180)
        	SetSliderDialogInterval(15)
	ELSEIF Option == FortifyDamage
        	SetSliderDialogStartValue(ZSH_MCM_FortifyDamage.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(0, 100)
        	SetSliderDialogInterval(1)
	ELSEIF Option == FortifyHealth
        	SetSliderDialogStartValue(ZSH_MCM_FortifyHealth.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(0, 300)
        	SetSliderDialogInterval(1)
	ELSEIF Option == FortifyStamina
        	SetSliderDialogStartValue(ZSH_MCM_FortifyStamina.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(0, 300)
        	SetSliderDialogInterval(1)
	ELSEIF Option == ResistPhysical
        	SetSliderDialogStartValue(ZSH_MCM_ResistPhysical.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(0, 80)
        	SetSliderDialogInterval(1)
	ELSEIF Option == ResistPoison
        	SetSliderDialogStartValue(ZSH_MCM_ResistPoison.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(0, 100)
        	SetSliderDialogInterval(1)
	ELSEIF Option == ResistMagic
        	SetSliderDialogStartValue(ZSH_MCM_ResistMagic.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(0, 100)
        	SetSliderDialogInterval(1)
	ELSEIF Option == ResistFall
        	SetSliderDialogStartValue(ZSH_MCM_ResistFall.GetValueInt())
       	SetSliderDialogDefaultValue(0)
        	SetSliderDialogRange(0, 100)
        	SetSliderDialogInterval(5)
	ENDIF
EndEvent

Event OnOptionSliderAccept(Int Option, Float Value)
	IF Option == HorseSpeed
		ZSH_MCM_HorseSpeed.SetValue(Value)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateSpeed()
		SetSliderOptionValue(HorseSpeed, ZSH_MCM_HorseSpeed.GetValueInt(), "{0}")
	ELSEIF Option == Rotation
		ZSH_MCM_SummonRotation.SetValue(Value)
		SetSliderOptionValue(Rotation, ZSH_MCM_SummonRotation.GetValueInt(), "{0}")
	ELSEIF Option == FortifyDamage
		ZSH_MCM_FortifyDamage.SetValue(Value)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(FortifyDamage, ZSH_MCM_FortifyDamage.GetValueInt(), "{0}")
	ELSEIF Option == FortifyHealth
		ZSH_MCM_FortifyHealth.SetValue(Value)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(FortifyHealth, ZSH_MCM_FortifyHealth.GetValueInt(), "{0}")
	ELSEIF Option == FortifyStamina
		ZSH_MCM_FortifyStamina.SetValue(Value)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(FortifyStamina, ZSH_MCM_FortifyStamina.GetValueInt(), "{0}")
	ELSEIF Option == ResistPhysical
		ZSH_MCM_ResistPhysical.SetValue(Value)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(ResistPhysical, ZSH_MCM_ResistPhysical.GetValueInt(), "{0}")
	ELSEIF Option == ResistPoison
		ZSH_MCM_ResistPoison.SetValue(Value)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(ResistPoison, ZSH_MCM_ResistPoison.GetValueInt(), "{0}")
	ELSEIF Option == ResistMagic
		ZSH_MCM_ResistMagic.SetValue(Value)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(ResistMagic, ZSH_MCM_ResistMagic.GetValueInt(), "{0}")
	ELSEIF Option == ResistFall
  		ZSH_MCM_ResistFall.SetValue(Value)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(ResistFall, ZSH_MCM_ResistFall.GetValueInt(), "{0}")
	ENDIF
EndEvent

Event OnOptionKeyMapChange(Int Option, Int KeyCode, String ConflictControl, String ConflictName)
bool continue = true
if (Option == MountedBanishOption) || (Option == SummonKeyOption) || (Option == MarkOption) || (Option == ReturnOption)
	If(conflictControl != "")
		String mssg
		If(conflictName != "")
			mssg = "This key is already mapped to:\n\"" + conflictControl + "\"\n(" + conflictName + ")\n\nAre you sure you want to continue?"
		Else
			mssg = "This key is already mapped to:\n\"" + conflictControl + "\"\n\nAre you sure you want to continue?"
		EndIf
		continue = ShowMessage(mssg, true, "$Yes", "$No")
	EndIf
endif
	IF Option == MountedBanishOption
		If(continue)
			MountedBanishKeyCode = KeyCode
			SetKeyMapOptionValue(MountedBanishOption, MountedBanishKeyCode)
			RegisterForKey(MountedBanishKeyCode)
		EndIf
	ELSEIF Option == SummonKeyOption
		If(continue)
			SummonKeyCode = KeyCode
			SetKeyMapOptionValue(SummonKeyOption, SummonKeyCode)
			RegisterForKey(SummonKeyCode)
		EndIf
	ELSEIF Option == MarkOption
		If(continue)
			MarkKeyCode = KeyCode
			SetKeyMapOptionValue(MarkOption, MarkKeyCode)
			RegisterForKey(MarkKeyCode)
		EndIf
	ELSEIF Option == ReturnOption
		If(continue)
			ReturnKeyCode = KeyCode
			SetKeyMapOptionValue(ReturnOption, ReturnKeyCode)
			RegisterForKey(ReturnKeyCode)
		EndIf
	ENDIF
EndEvent

Event OnKeyDown(Int KeyCode)
	If (KeyCode == MountedBanishKeyCode)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript01).MountedBanish()
	ElseIf (KeyCode == SummonKeyCode)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript01).KeySummon()
	ElseIf (KeyCode == MarkKeyCode)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript01).AeonbarrMark()
	ElseIf (KeyCode == ReturnKeyCode)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript01).AeonbarrReturn()
	Endif
EndEvent

Event OnOptionHighlight(Int Option)
	IF Option == HideColorControlOption 
		SetInfoText("Use this option to choose Aeonbarr's coat color.")
	ELSEIF Option == ManeControlOption 
		SetInfoText("Use this option to choose Aeonbarr's mane color.")
	ELSEIF Option == NameControlOption 
		SetInfoText("Use this option to choose Aeonbarr's nickname.")
	ELSEIF Option == EyeControlOption 
		SetInfoText("Use this option to choose Aeonbarr's eye color.")
	ELSEIF Option == EyeGlowControlOption 
		SetInfoText("Use this option to choose Aeonbarr's eye glow color.")
	ELSEIF Option == EtherealAbControlOption 
		SetInfoText("Use this option to choose a colored shader to apply to Aeonbarr. Use this in tandem with the Transparency option to make Aeonbarr ethereal.")
	ELSEIF Option == SizeControlOption 
		SetInfoText("Use this option to choose Aeonbarr's size.")
	ELSEIF Option == Toggle01
		SetInfoText("When enabled, Aeonbarr will have the power to walk on water. Please note: waterwalking horses are a bit bugged. They can swim underwater with the waterwalking ability active, and doing so can prevent the player from equipping weapons while mounted. Dismount to fix this problem.")
	ELSEIF Option == Toggle03
		SetInfoText("When enabled, the player can use the Summon Aeonbarr effect as a Lesser Power. When disabled, the player can use the Summon Aeonbarr effect as an Adept Conjuration Spell with a magicka cost.")
	ELSEIF Option == Toggle02
		SetInfoText("The power to summon Aeonbarr is a reward for completing the quest, the Blacksted Legacy. This can be started by visiting Blacksted Barrow in Western Falkreath. However, if you'd prefer to skip the quest and gain the power to summon Aeonbarr straight away, you can select this option to do so.")
	ELSEIF Option == Toggle04
		SetInfoText("When enabled, Aeonbarr will completely restore your health once a day if you're health falls too low.")
	ELSEIF Option == Toggle05
		SetInfoText("Removes Aonbarr's mane when enabled. This option is useful if you are using the custom saddle or armor from convenient horses that is causing cropping issues with Aeonbarr's mane.")
	ELSEIF Option == HorseSpeed 
		SetInfoText("Use this option to fortify Aeonbarr's speed. If using Convenient Horses, it is recommended you set this value to 0 and customize Aeonbarr's speed using the settings in the Convenient Horses MCM.")
	ELSEIF Option == Rotation 
		SetInfoText("Use this option to specify Aeonbarr's rotation in relation to the player's rotation when he is summoned.")
	ELSEIF Option == MountedBanishOption
		SetInfoText("Use this option to select a key for a mounted banish. This will automatically dismiss Aeonbarr whilst the playing is riding him, allowing for a rapid dismount. The selected key will not banish Aeonbarr if the player is not riding.")
	ELSEIF Option == SummonKeyOption
		SetInfoText("This option allows you to assign a hotkey to the Summon Aeonbarr Lesser Power. This can only be used if the player has the Summon Aeonbarr Lesser Power.")
	ELSEIF (Option == MarkOption) || (Option == ReturnOption)
		SetInfoText("Aeonbarr can be made to remember any three locations whenever he is being ridden using the Mark key. While riding Aeonbarr, you can return to any of these at any time using the Return key.")
	ELSEIF Option == FortifyDamage
		SetInfoText("Use this option to fortify the damage Aeonbarr can inflict with physical attacks.")
	ELSEIF Option == FortifyHealth
		SetInfoText("Use this option to fortify Aeonbarr's health.")
	ELSEIF Option == FortifyStamina
		SetInfoText("Use this option to fortify Aeonbarr's stamina.")
	ELSEIF Option == ResistPhysical
		SetInfoText("Use this option to fortify Aeonbarr's resistance to physical attacks, including weapons, arrows and unarmed attacks.")
	ELSEIF Option == ResistPoison
		SetInfoText("Use this option to fortify Aeonbarr's resistance to poison damage.")
	ELSEIF Option == ResistMagic
		SetInfoText("Use this option to fortify Aeonbarr's resistance to magical attacks, including spells, dragon breathe and weapon enchantments.")
	ELSEIF Option == ResistFall
		SetInfoText("Use this option to fortify Aeonbarr's resistance to falling damage.")
	ELSEIF Option == EquipTypeControlOption 
		SetInfoText("Use this option to choose Aeonbarr's equipment type. If you want to use the armors provided in Convenient Horses, you must set this option to No Saddle. See the nexus mod-page for information on adding custom armor and saddles.")
	ELSEIF Option == EquipColorControlOption 
		SetInfoText("Use this option to choose the color of Aeonbarr's equipment. Note that if you have Convenient Horses, you must adjust the seetings to give horses their Original Equipment in order to use the equipment provided in this mod.")
	ELSEIF Option == EquipMaterialControlOption 
		SetInfoText("If you have selected Fully Armored as Aeonbarr's Equipment Type, you can use this option to choose the type of metal from which this armor is constructed. Note that all equipment is purely aesthetic and has no effect on Aeonbarr's armor rating.")
	ENDIF
EndEvent

Event OnOptionDefault(Int Option)
	IF Option == HideColorControlOption 
		HideColorControl = 4
		ZSH_MCM_HorseHideColor.SetValue(HideColorControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateColor()
		SetMenuOptionValue(HideColorControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentColor)

	ELSEIF Option == ManeControlOption
		ManeControl = 2
		ZSH_MCM_Mane.SetValue(ManeControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateMane()
		SetMenuOptionValue(ManeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentMane)

	ELSEIF Option == NameControlOption
		NameControl = 0
		ZSH_MCM_Name.SetValue(NameControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateName()
		SetMenuOptionValue(NameControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentName)

	ELSEIF Option == EyeControlOption
		EyeControl = 0
		ZSH_MCM_EyeColor.SetValue(EyeControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CallibrateEye()
		SetMenuOptionValue(EyeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentEye)

	ELSEIF Option == EyeGlowControlOption
		EyeGlowControl = 0
		ZSH_MCM_EyeGlowColor.SetValue(EyeGlowControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CallibrateGlow()
		SetMenuOptionValue(EyeGlowControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentGlow)

	ELSEIF Option == EtherealAbControlOption
		EtherealAbControl = 0
		ZSH_MCM_Ethereal.SetValue(EtherealAbControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CallibrateEthereal()
		SetMenuOptionValue(EtherealAbControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript03).CurrentEthereal)

	ELSEIF Option == SizeControlOption
		SizeControl = 2
		ZSH_MCM_Size.SetValue(SizeControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateSize()
		SetMenuOptionValue(SizeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CurrentSize)

	ELSEIF Option == HorseSpeed
		ZSH_MCM_HorseSpeed.SetValue(0)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateSpeed()
		SetSliderOptionValue(HorseSpeed, ZSH_MCM_HorseSpeed.GetValueInt(), "{0}")

	ELSEIF Option == Toggle01
		ZSH_MCM_Mane.SetValue(0)
		SetToggleOptionValue(Toggle01, ZSH_MCM_Mane.GetValueInt())

	ELSEIF Option == Toggle04
		ZSH_MCM_HealSpell.SetValue(0)
		SetToggleOptionValue(Toggle04, ZSH_MCM_HealSpell.GetValueInt())

	ELSEIF Option == Toggle05
		ZSH_MCM_DisableMane.SetValue(0)
		SetToggleOptionValue(Toggle05, ZSH_MCM_DisableMane.GetValueInt())
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateMane()
		SetMenuOptionValue(ManeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentMane)

	ELSEIF Option == Toggle03
		ZSH_MCM_SpellOrPower.SetValue(0)
		SetToggleOptionValue(Toggle03, ZSH_MCM_SpellOrPower.GetValueInt()) 

	ELSEIF Option == Rotation
		ZSH_MCM_SummonRotation.SetValue(0)
		SetSliderOptionValue(Rotation, ZSH_MCM_SummonRotation.GetValueInt(), "{0}")

	ELSEIF Option == MountedBanishOption
		UnRegisterForKey(MountedBanishKeyCode)
		MountedBanishOption = 0
		MountedBanishKeyCode = -1
		SetKeyMapOptionValue(MountedBanishOption, MountedBanishKeyCode)

	ELSEIF Option == SummonKeyOption
		UnRegisterForKey(SummonKeyCode)
		SummonKeyOption = 0
		SummonKeyCode = -1
		SetKeyMapOptionValue(SummonKeyOption, SummonKeyCode)

	ELSEIF Option == MarkOption
		UnRegisterForKey(MarkKeyCode)
		MarkOption = 0
		MarkKeyCode = -1
		SetKeyMapOptionValue(MarkOption, MarkKeyCode)

	ELSEIF Option == ReturnOption
		UnRegisterForKey(ReturnKeyCode)
		ReturnOption = 0
		ReturnKeyCode = -1
		SetKeyMapOptionValue(ReturnOption, ReturnKeyCode)

	ELSEIF Option == FortifyDamage
		ZSH_MCM_FortifyDamage.SetValue(0)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(FortifyDamage, ZSH_MCM_FortifyDamage.GetValueInt(), "{0}")

	ELSEIF Option == FortifyHealth
		ZSH_MCM_FortifyHealth.SetValue(0)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(FortifyHealth, ZSH_MCM_FortifyHealth.GetValueInt(), "{0}")

	ELSEIF Option == FortifyStamina
		ZSH_MCM_FortifyStamina.SetValue(0)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(FortifyStamina, ZSH_MCM_FortifyStamina.GetValueInt(), "{0}")

	ELSEIF Option == ResistPhysical
		ZSH_MCM_ResistPhysical.SetValue(0)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(ResistPhysical, ZSH_MCM_ResistPhysical.GetValueInt(), "{0}")

	ELSEIF Option == ResistPoison
		ZSH_MCM_ResistPoison.SetValue(0)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(ResistPoison, ZSH_MCM_ResistPoison.GetValueInt(), "{0}")

	ELSEIF Option == ResistMagic
		ZSH_MCM_ResistMagic.SetValue(0)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(ResistMagic, ZSH_MCM_ResistMagic.GetValueInt(), "{0}")

	ELSEIF Option == ResistFall
		ZSH_MCM_ResistFall.SetValue(0)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateAttributes()
		SetSliderOptionValue(ResistFall, ZSH_MCM_ResistFall.GetValueInt(), "{0}")

	ELSEIF Option == EquipTypeControlOption
		EquipTypeControl = 2
		ZSH_MCM_EquipmentType.SetValue(EquipTypeControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateEquipment()
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateColor()
		SetMenuOptionValue(EquipTypeControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentType)

	ELSEIF Option == EquipColorControlOption
		EquipColorControl = 2
		ZSH_MCM_EquipmentColor.SetValue(EquipColorControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateEquipment()
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateColor()
		SetMenuOptionValue(EquipColorControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentColor)

	ELSEIF Option == EquipMaterialControlOption
		EquipMaterialControl = 0
		ZSH_MCM_EquipmentColor.SetValue(EquipMaterialControl)
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CallibrateEquipment()
		(ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript02).CallibrateColor()
		SetMenuOptionValue(EquipMaterialControlOption, (ZSH_AeonbarrQuest as ZSH_V2_AeonbarrScript04).CurrentEquipmentMetal)

	ENDIF
EndEvent

Spell Property ZSH_Aeonbarr_HealAb Auto
Function AddHealSpell()
If !(Game.GetPlayer().HasSpell(ZSH_Aeonbarr_HealAb))
	Game.GetPlayer().AddSpell(ZSH_Aeonbarr_HealAb, False)
Endif
EndFunction
