Scriptname ZSH_V2_PullChainScript02 extends ObjectReference  

Bool AllowActivation = True
Bool Property ToggleDoor01 Auto

ObjectReference Property ZSH_Tomb_SecretEntrance Auto
Quest Property ZSH_BlackstedQuest Auto

Event OnLoad()
	PlayAnimation("FullPull")
EndEvent

Event OnActivate(ObjectReference TriggerRef)
If AllowActivation == True
	Utility.Wait(0.1)
	AllowActivation = False
	
	IF ToggleDoor01 == True
		PlayAnimation("Pull")
		(ZSH_BlackstedQuest as ZSH_V2_PuzzleScript01).FinalPullBar(ToggleDoor01)
	ELSE
		PlayAnimationandWait("FullPush","FullPushedUp")
		(ZSH_BlackstedQuest as ZSH_V2_PuzzleScript01).FinalPullBar(ToggleDoor01)
		PlayAnimationandWait("FullPull","FullPulledDown")
	ENDIF

	AllowActivation = True
Endif
EndEvent