Scriptname ZSH_V2_TeleportScript02 extends ObjectReference  

ObjectReference Property TeleportDoor01 Auto
ObjectReference Property TeleportDoor02 Auto
ObjectReference Property ReturnMarker01 Auto
Quest Property ZSH_BlackstedQuest Auto
GlobalVariable Property GameHour Auto
GlobalVariable Property ZSH_MCM_Quest Auto

Event OnLoad()
	If (GameHour.GetValue() < 20)
		GameHour.SetValue(20)
	EndIf
EndEvent

Event OnTriggerEnter(ObjectReference TriggerRef)
If TriggerRef == Game.GetPlayer()
	ZSH_MCM_Quest.SetValue(1)
	TeleportDoor02.Disable()
	TeleportDoor01.Disable()
	TeleportDoor01.GetLinkedRef().Disable()
	ZSH_BlackstedQuest.SetStage(50)
Else
	TriggerRef.MoveTo(ReturnMarker01)
Endif
EndEvent

Event OnTriggerLeave(ObjectReference TriggerRef)
	(ZSH_BlackstedQuest as ZSH_V2_QuestScript01).BeginChallenge()
	Disable()
EndEvent